%global vagrant_plugin_name vagrant-cachier

Name: %{vagrant_plugin_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Package cache for vagrant
Group: Development/Languages
License: MIT
URL: https://github.com/fgrehm/vagrant-cachier
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem

#Requires(pre): shadow-utils
Requires(posttrans): vagrant
Requires(preun): vagrant
Requires: ruby(release)
Requires: ruby(rubygems)
### Requires: rubygem(fog) => 1.23
### Requires: rubygem(fog) < 2
### Requires: rubygem(nokogiri) => 1.6.0
### Requires: rubygem(nokogiri) < 1.7
### Requires: rubygem(multi_json)
Requires: vagrant

BuildRequires: vagrant
BuildRequires: rubygem(rspec) < 3
### BuildRequires: rubygem(fog)
BuildArch: noarch

%description
A vagrant plugin that helps you reduce the amount of coffee you drink while
waiting for boxes to be provisioned by sharing a common package cache among
similiar VM instances.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{vagrant_plugin_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{vagrant_plugin_name}.gemspec


%build
gem build %{vagrant_plugin_name}.gemspec

%install
%{vagrant_plugin_install}

mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
        %{buildroot}%{vagrant_plugin_dir}/

# polkit rule for vagrant group.
#mkdir -p %{buildroot}%{_datadir}/polkit-1/rules.d
#install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/rules.d/

# TODO: enable check.
# (currently rubygem-hitimes is missing)
#
#%check
#pushd .%{vagrant_plugin_instdir}
#sed -i '/git/ s/^/#/' Gemfile
#
#bundle exec rspec2 spec
#popd

%pre
getent group vagrant >/dev/null || groupadd -r vagrant

%posttrans
%vagrant_plugin_register %{vagrant_plugin_name}

%preun
%vagrant_plugin_unregister %{vagrant_plugin_name}

%files
%dir %{vagrant_plugin_instdir}
%license %{vagrant_plugin_instdir}/LICENSE.txt
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_libdir}
%{vagrant_plugin_instdir}/locales
%exclude %{vagrant_plugin_cache}
%exclude %{vagrant_plugin_instdir}/.gitignore
%{vagrant_plugin_spec}
%{vagrant_plugin_instdir}/Gemfile.lock


%files doc
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/CHANGELOG.md
%{vagrant_plugin_instdir}/Rakefile
%{vagrant_plugin_instdir}/Gemfile
%{vagrant_plugin_instdir}/vagrant-cachier.gemspec
%{vagrant_plugin_instdir}/spec
%{vagrant_plugin_instdir}/development
%{vagrant_plugin_instdir}/docs


%changelog
* Fri Jan 30 2015 Michael Adam <madam@redhat.com> - 1.2.0-1
- Initial package for Fedora
